> For the complete documentation index, see [llms.txt](https://docs.pandium.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandium.com/getting-started/pandium-integration-development-kit-idk/pandium-clients.md).

# Pandium Clients

Pandium's Clients, fill a gap in the market by offering B2B SaaS organizations out-of-the-box plumbing for **connecting directly with APIs** to build and launch integrations.

## Why Use the Pandium Clients?

1. Pandium has [hundreds of pre-built connectors](/connectors/connectors-101.md) to choose from.
2. Our API clients seamlessly interacts with APIs. They take care of paging, automatic retries, and rate limiting - all ensuring optimized throughput.
3. Our API clients also provide context-aware code insights on the APIs being integrated. This **eliminates the need to constantly reference API docs** while coding an integration’s business logic.

## How to Access the Pandium Clients

1. Pull your code from your remote repository down onto your local machine to start working in your IDE with the client in the integration.
2. You will see an example of how to instantiate the client. If you included code generation, you will see the client passed to a flow. Within the flow, the client instance will have been used to either fetch or post something to the API.\
   \
   If you did not include code generation, you will see the client used to fetch some records.

## How to Use a Pandium Client

1. Once a client has been added to your project, import your client to any file in the project using

{% code title="Import Format" %}

```markup
import [Client Name] from '@pandium/[connector]-client'
```

{% endcode %}

{% code title="Importing ShipBob Client" %}

```
import ShipbobClient from '@pandium/shipbob-client'
```

{% endcode %}

How to import additional models

<pre data-title="Example"><code><strong>import { CreateTicketModel } from '@pandium/shipbob-client'
</strong></code></pre>

## Example of using client

```typescript
import ShipbobClient from '@pandium/shipbob-client'


try {
    const sbClient = new ShipbobClient()
    console.error('Fetching and logging out some ShipBob channels')
    let recordCounter = 0
    
    // List and print 10 channels from api 
    const channels = await sbClient.listChannels()
    for (const record of channels) {
        if (recordCounter > 10) break
        console.error(record.id)
        recordCounter++
    }
} catch (error) {
    console.error(':x: Unexpected ShipBob error.')
    console.error(error)
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandium.com/getting-started/pandium-integration-development-kit-idk/pandium-clients.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
